pkgCache::Iterator< Str, Itr > Class Template Reference
Collaboration diagram for pkgCache::Iterator< Str, Itr >:
[legend]

## Public Types

using | iterator_category = std::forward_iterator_tag
using | value_type = Str
using | difference_type = std::ptrdiff_t
using | pointer = Str*
using | reference = Str&

## Public Member Functions

constexpr bool | end () const noexcept
constexpr bool | operator== (const Itr &B) const noexcept
constexpr bool | operator!= (const Itr &B) const noexcept
constexpr Str * | operator-> () noexcept
constexpr Str const * | operator-> () const noexcept
constexpr | operator Str * () noexcept
constexpr | operator Str const * () const noexcept
constexpr Str & | operator* () noexcept
constexpr Str const & | operator* () const noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Str > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)
constexpr | Iterator (pkgCache &Owner, Str *T=0) noexcept

## Protected Attributes

Str * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h